CollectionType (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.type

## Class CollectionType

- java.lang.Object
- - org.codehaus.jackson.type.JavaType
  - - org.codehaus.jackson.map.type.TypeBase
    - - org.codehaus.jackson.map.type.CollectionLikeType
      - - org.codehaus.jackson.map.type.CollectionType

- All Implemented Interfaces:
    JsonSerializable, JsonSerializableWithType

      public final class CollectionType
      extends CollectionLikeType

  Type that represents Java Collection types (Lists, Sets).

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.type.CollectionLikeType

      `_elementType`

    - ### Fields inherited from class org.codehaus.jackson.type.JavaType

      `_class, _hashCode, _typeHandler, _valueHandler`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JavaType` | `_narrow(Class<?> subclass)`
    `static CollectionType` | `construct(Class<?> rawType, JavaType elemT)`
    `JavaType` | `narrowContentsBy(Class<?> contentClass)`
    `String` | `toString()`
    `JavaType` | `widenContentsBy(Class<?> contentClass)`
    `CollectionType` | `withContentTypeHandler(Object h)` "Copy method" that will construct a new instance that is identical to this instance, except that its content type will have specified type handler assigned.
    `CollectionType` | `withContentValueHandler(Object h)`
    `CollectionType` | `withTypeHandler(Object h)` "Copy method" that will construct a new instance that is identical to this instance, except that it will have specified type handler assigned.
    `CollectionType` | `withValueHandler(Object h)`

    - ### Methods inherited from class org.codehaus.jackson.map.type.CollectionLikeType

      `buildCanonicalName, containedType, containedTypeCount, containedTypeName, equals, getContentType, getErasedSignature, getGenericSignature, isCollectionLikeType, isContainerType, isTrueCollectionType`

    - ### Methods inherited from class org.codehaus.jackson.map.type.TypeBase

      `_classSignature, getTypeHandler, getValueHandler, serialize, serializeWithType, toCanonical`

    - ### Methods inherited from class org.codehaus.jackson.type.JavaType

      `_assertSubclass, _widen, forcedNarrowBy, getErasedSignature, getGenericSignature, getKeyType, getRawClass, hasGenericTypes, hashCode, hasRawClass, isAbstract, isArrayType, isConcrete, isEnumType, isFinal, isInterface, isMapLikeType, isPrimitive, isThrowable, narrowBy, setValueHandler, widenBy`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### _narrow

          protected JavaType _narrow(Class<?> subclass)

      Overrides:
        `_narrow` in class `CollectionLikeType`

    - #### narrowContentsBy

          public JavaType narrowContentsBy(Class<?> contentClass)

      Overrides:
        `narrowContentsBy` in class `CollectionLikeType`

    - #### widenContentsBy

          public JavaType widenContentsBy(Class<?> contentClass)

      Overrides:
        `widenContentsBy` in class `CollectionLikeType`

    - #### construct

          public static CollectionType construct(Class<?> rawType,
                                 JavaType elemT)

    - #### withTypeHandler

          public CollectionType withTypeHandler(Object h)

      Description copied from class: `JavaType`
      "Copy method" that will construct a new instance that is identical to this instance, except that it will have specified type handler assigned.
      Overrides:
        `withTypeHandler` in class `CollectionLikeType`
      Returns:
        Newly created type instance

    - #### withContentTypeHandler

          public CollectionType withContentTypeHandler(Object h)

      Description copied from class: `JavaType`
      "Copy method" that will construct a new instance that is identical to this instance, except that its content type will have specified type handler assigned.
      Overrides:
        `withContentTypeHandler` in class `CollectionLikeType`
      Returns:
        Newly created type instance

    - #### withValueHandler

          public CollectionType withValueHandler(Object h)

      Overrides:
        `withValueHandler` in class `CollectionLikeType`

    - #### withContentValueHandler

          public CollectionType withContentValueHandler(Object h)

      Overrides:
        `withContentValueHandler` in class `CollectionLikeType`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `CollectionLikeType`